{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "asm64",
            "type": "shell",
            "command": [
                "builddir=${workspaceFolder}/build;",
                "mkdir -p $builddir;",
                "rawfilename=$builddir/min;",
                "nasm -gdwarf -f elf64 -o $rawfilename.o ${workspaceFolder}/min.asm;",
                "ld -g -o $rawfilename $rawfilename.o;"
            ],
            "problemMatcher": {
                "pattern": {
                    "regexp": "error"
                }
            },
            "presentation": {
                "focus": true,
                "panel": "dedicated",
                "reveal": "silent",
                "clear": true
            },
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },
        {
            "label": "asm64+gcc",
            "type": "shell",
            "command": [
                "builddir=${workspaceFolder}/build;",
                "mkdir -p $builddir;",
                "rawfilename=$builddir/min;",
                "nasm -gdwarf -f elf64 -o $rawfilename.o ${workspaceFolder}/min.asm;",
                "gcc -o $rawfilename $rawfilename.o;"
            ],
            "problemMatcher": {
                "pattern": {
                    "regexp": "error"
                }
            },
            "presentation": {
                "focus": true,
                "panel": "dedicated",
                "reveal": "silent",
                "clear": true
            },
        }
    ]
}